XEV(1)

NAME
xev - print contents of X events

SYNOPSIS
xev [-display displayname] [-geometry geom] [-bw pixels] [-bs {NotUseful,WhenMapped,Always}] [-id windowid] [-s] [-name string] [-rv]

DESCRIPTION

Xev creates a window and then asks the X server to send it events whenever anything happens to the window (such as being moved, resized, typed in, clicked in, etc.). You can also attach it to an existing window. It is useful for seeing what causes events to occur and to display the information that they contain.

OPTIONS

-display display
    This option specifies the X server to contact.

-geometry geom
    This option specifies the size and/or location of the window.

-bw pixels
    This option specifies the border width for the window.

-bs {NotUseful,WhenMapped,Always}
    This option specifies what kind of backing store to give the window. The default is NotUseful.

-id windowid
    This option specifies that the window with the given id should be monitored, instead of creating a new window.

-s  This option specifies that save-unders should be enabled on the window.

-name string
    This option specifies the name to assign to the created window.

-rv This option specifies that the window should be in reverse video.

SEE ALSO
X(1), xwininfo(1), xdpyinfo(1), Xlib Programmers Manual, X Protocol Specification
See X(1) for a full statement of rights and permissions.

AUTHOR
Jim Fulton, MIT X Consortium